Bug 1294694 - SELinux is preventing systemd-gpt-aut from 'read' accesses on the blk_file mmcblk0.
SELinux is preventing systemd-gpt-aut from 'read' accesses on the blk_file mm...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:e660ceaa072ee374490a49432b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 13:22 EST by Nicolas Mailhot
Modified: 2017-08-08 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2015-12-29 13:22:18 EST
Description of problem:
SELinux is preventing systemd-gpt-aut from 'read' accesses on the blk_file mmcblk0.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que systemd-gpt-aut devrait être autorisé à accéder read sur mmcblk0 blk_file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep systemd-gpt-aut /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:removable_device_t:s0
Target Objects                mmcblk0 [ blk_file ]
Source                        systemd-gpt-aut
Source Path                   systemd-gpt-aut
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-164.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.0-0.rc5.git1.1.fc24.x86_64 #1
                              SMP Wed Dec 16 16:41:57 UTC 2015 x86_64 x86_64
Alert Count                   32
First Seen                    2015-12-11 19:45:20 CET
Last Seen                     2015-12-26 09:39:15 CET
Local ID                      a2c2e0b7-ac0f-47c3-b894-9ca3720dd2b7

Raw Audit Messages
type=AVC msg=audit(1451119155.895:1070): avc:  denied  { read } for  pid=15518 comm="systemd-gpt-aut" name="mmcblk0" dev="devtmpfs" ino=11351 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:removable_device_t:s0 tclass=blk_file permissive=0


Hash: systemd-gpt-aut,init_t,removable_device_t,blk_file,read

Version-Release number of selected component:
selinux-policy-3.13.1-164.fc24.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
type:           libreport
Comment 1 Jan Kurik 2016-02-24 10:51:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 11:15:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2017-07-25 15:42:03 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:36:23 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.